<?php
	session_start();
	include('database.php');
	DB_connexion(); 
	
	/*if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}*/
		
	$champ_login = "";
	$champ_nom = "";
	$champ_prenom = "";
	$champ_email = "";
	
	// chargement des datas	
/*	$login = $_SESSION['login']; 
	$sql = "SELECT * FROM membres WHERE login = '".$login."' ";
 	$requete = mysql_query($sql);
	$result = mysql_fetch_assoc($requete);
		
	$champ_login = $result['login'];
	$champ_nom = $result['nom'];
	$champ_prenom = $result['prenom'];
	$champ_email = $result['email'];
	$champ_avatar = $result['avatar'];
	
	if(!empty($_POST["login"]))
	{	$champ_login = $_POST["login"];
	}
	if(!empty($_POST["nom"]))
	{	$champ_nom = $_POST["nom"];
	}
	if(!empty($_POST["prenom"]))
	{	$champ_prenom = $_POST["prenom"];
	}
	if(!empty($_POST["email"]))
	{	$champ_email = $_POST["email"];
	}
	
	if(isset($_POST['valide_form']))
	{
			  if($_POST['valide_form'] == "ok")
				{
					$login = $_SESSION['login']; 
					$id = $_SESSION['user_id'];
					
					$sql = "UPDATE membres SET login  = '$login', 
	          			    nom  = '$champ_nom',
	          			    prenom  = '$champ_prenom',
	          			    email  = '$champ_email'
							WHERE id = '$id' " ;
					
					echo $sql;
					
					$requete = mysql_query($sql);
					$_SESSION['message'] = "ok";
					//header('Location: update_information.php');
				}
	}			
	*/
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>
<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">

#bloc_password{ display: inline;
			float: left;
			width: 932px;
		    height: 400px;
			/*background: #f8dbdb;*/
}

#bloc_menu_password{ 
				float: left;
				width: 320px;
				/*height: 350px;*/
				margin: 0px 0 0 0px;
				/*background: #38dbdb;*/
}

#bloc_change_password{ 
				float: left;
				width: 400px;
				/*height: 350px;*/
				margin: 0px 0px 0px 60px;
				/*background: #18dbdb;*/
}



	
</style>

<!-- diaporama -->
<link href="diaporama/css/style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="diaporama/js/jquery.jDiaporama.js"></script>
<script type="text/javascript" src="diaporama/js/script.js"></script>

<script type="text/javascript">
function call_update()
{
	 ajax_routine(); 
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}
</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>

		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
			
				<h2 class="retrait">Editer mes données personnelles </h2>
				
				
				<div id= "bloc_password">
				
							<div id= "bloc_menu_password">
							
									<div id="bloc_menu">
									<div id="leftcolumn">
									<div class="titlebar" style="margin-top: 12px">Menu</div>
									<ul class="ddmarkermenu">
									<li class="acceuil_tag"><a href="compte.php" title="aller à la section">Acceuil</a></li>
									<li class="information_tag"><a href="information.php" title="aller à la section">Informations</a></li>
									<li class="password_tag_selected"><a href="password.php" title="aller à la section"> Mot de passe</a></li>
									<li class="avatar_tag"><a href="avatar.php" title="aller à la section">Avatar</a></li>
									</ul>
									</div>
									</div>
							</div>	
				
							
							<div id= "bloc_change_password">
							
									<div id="form_information">
						
									<form method="post" enctype="multipart/form-data" id="form" action="information.php" onsubmit="return valider_changement_information(this)">
						 
									<h1>Changer votre password</h1>
							
									<input type="hidden" name="valide_form" id="valide_form" value="" />
							
									<div>
									<label for="pass1">Password</label>
									<input id="pass1" name="pass1" type="password" onKeyUp="verif_password(this.value)" value = "" />
									<span id="statut_pass1"></span>
									</div>
				
									<div>
									<label for="pass2">Confirmer le password</label>
									<input id="pass2" name="pass2" type="password" onKeyUp="confirmation_password(this.value)" value = "" />
									<span id="statut_pass2"></span>
									</div>

									<div>
									<input id="send" name="send" type="submit" value="Modifier"  />
									</div>
<?php
				/*			if($_SESSION['message'] == "ok")
							{	echo '<div id="message_traitement" style="display:block">Votre nouveau profil viens d\'être pris en compte par le serveur.</div>';
								$_SESSION['message'] = "none";
							}*/
			?>	
									</form>
							
									</div>		
						
							</div>
		

				</div>

	<br/>
	<br/>
	<br/>
	<br/>
	<br/>
           

<!---------------------------------------------------------->	
<?php			
            include('include_pied_page.php');
			include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>
